/***************************************************************************
 *            mw.h
 *
 *  Sat Sep  4 21:28:16 2004
 *  Copyright  2004  Marcin K. Krzywonos
 *  mkk@gnutu.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <gnome.h>


// Zmienne globalne
int mw_marks_clist_rowselected;

GtkWidget *mw_widget;
GtkWidget *mwes_widget;
GtkWidget *mwt_widget;


int     mw_show                      (GtkWidget *widget);
int     mw_edit_entry                (type_date date, gboolean save);
int     mw_get_entry_date            ();
int     mw_date_label_set_date       (type_date date);
int     mw_info_label_set_info       ();
gchar  *mw_info_search_test          ();
gchar  *mw_info_days_cnt             ();
gchar  *mw_info_day                  ();

int     mw_marks_clist_add           (gchar *time, gchar *subject, gchar *marks);
int     mw_marks_clist_remove        (int id);
int     mw_marks_clist_clear         ();
GSList *mw_marks_clist_get_marks     ();
int     mw_marks_clist_load_subjects (int day);

int     mwes_marks_add               ();
int     mwes_marks_edit              (int row);

int     mw_tests_clist_add           (gchar *subject);
int     mw_tests_clist_clear         ();
int     mw_tests_clist_check_test    (gchar *name);
int     mw_tests_clist_remove_test   (gchar *name);

int     mw_quizes_clist_add          (gchar *subject);
int     mw_quizes_clist_clear        ();
int     mw_quizes_clist_check_quiz   (gchar *name);
int     mw_tests_clist_remove_quiz   (gchar *name);

gchar  *mw_notes_textview_get_text   ();
int     mw_notes_textview_set_text   (gchar *text);

int     mw_clear_all                 ();

int     mwt_show                     ();
int     mwt_search                   ();
