/***************************************************************************
 *            pw.h
 *
 *  Sat Oct 16 08:55:54 2004
 *  Copyright  2004  Marcin K. Krzywonos
 *  mkk@gnutu.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <gnome.h>


GtkWidget *pw_widget;
GtkWidget *pwmh_widget;
GtkWidget *epw_widget;
GtkWidget *ephw_widget;


int    pw_show                  ();

int    pw_epw_edit_day;
int    pw_ephw_select_hour;
int    pw_epw_select_subject;
int    pw_epw_select_hour;

int    pw_load_subjects         ();
int    pw_enable_buttons        ();
int    pw_disable_buttons       ();

int    pw_ephw_load_hours       ();
int    pw_epw_load_subjects     (int day);

int    pw_ephw_add_hour         (gchar *hour);
int    pw_ephw_remove_hour      (int id);
int    pw_ephw_get_hours        ();

int    pw_epw_add_subject       (gchar *subject, gchar *hour);
int    pw_epw_remove_subject    (int id);
int    pw_epw_get_subjects      ();
gchar *pw_epw_search_time       (gchar *hour);
int    pw_epw_time_clist_add    (gchar *time);
int    pw_epw_time_clist_remove (int id);
