/***************************************************************************
 *            var.h
 *
 *  Fri Sep  3 19:55:12 2004
 *  Copyright  2004  Marcin K. Krzywonos
 *  mkk@gnutu.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <time.h>
#include <gnome.h>


typedef struct {
	int day;
	int month;
	int year;
} type_date;


type_date  entry_date;


type_date  timet_to_typedate  (time_t date);
time_t     typedate_to_timet  (type_date date);
type_date  date_today         ();
GDate     *type_date_to_gdate (type_date date);
type_date  gdate_to_type_date (GDate *date);
GDate     *text_to_gdate      (gchar *text);

int        date_get_weekday   (type_date date);
int        date_diff          (type_date date_1, type_date date_2);

gint       date_compare       (gconstpointer a, gconstpointer b);

gchar     *gtu_file_name      (gchar *file_name);
